Core - Bug # 52578

Status: Resolved Priority: Must have
Author: Oliver Hader Category: Install Tool
Created: 2013-10-07 Assigned To: Christian Kuhn
Updated: 2014-03-21 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus:

Subject: Install process removes permission

Description

The initial server error reads like this:

Forbidden

You don't have permission to access /typo3/sysext/install/Start/Install.php on this server.

The permission to the document root folder is modified and thus TYPOS is currently locking out itself during the install process.
Looks like $GLOBALS[TYPO3_CONF_VARS'|['BE"|['folderCreateMask’] is used as targetPermission...

So, either leave out the root node or find a way to determine the correct permission.

In my case | get a

Permission denied: /.../introduction/.htaccess pcfg_openfile: unable to check htaccess file, ensure it is readable, referer:

http://.../typo3/sysext/install/Start/Install.php

Related issues:
related to Core - Task # 49162: Rewrite install tool

related to Core - Task # 52668: Install Tool: Remove permission checking and ...

related to Core - Bug # 53037: Install Tool: Folder structure is too strict

Resolved 2011-10-30
Resolved 2014-03-26
Closed 2013-10-22

History

#1 - 2013-10-07 16:17 - Oliver Hader
- Status changed from New to Accepted

- Priority changed from Should have to Must have

More stuff... the permissions are checked and modified for each request...

| think there is still room for improvements

#2 - 2013-10-07 16:34 - Oliver Hader
- Category set to Install Tool
#3 - 2014-03-21 14:58 - Ernesto Baschny

- Status changed from Accepted to Resolved
- Target version set to 6.2.0

Fixed with #52668
